API Reference for Marketo Engage

Update Program Member Field

POST /rest/v1/programs/members/schema/fields/{fieldApiName}.json

Update metadata for a program member field in the target instance. See update rules here.

Operation ID
updateProgramMemberFieldUsingPOST
Permissions
Read-Write Schema Standard Field, Read-Write Schema Custom Field
Request format
application/json
Returns
ResponseOfUpdateLeadField

Parameters

Path 1

fieldApiName string required

The API name of program member field

Request body

application/json · required · UpdateLeadFieldRequest · 6 properties

input array of UpdateLeadField required

Single lead field for input

Model UpdateLeadField

displayName string

UI display-name of the field

description string

Description of the field

isHidden boolean

If set to true, the field is hidden. Default is false

isHtmlEncodingInEmail boolean

If set to true, field is encoded as HTML in email. Default is true

isSensitive boolean

If set to true, field is marked as sensitive. Default is false

Responses

200 OK ResponseOfUpdateLeadField
errors array of Error required

Array of errors that occurred if the request was unsuccessful

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

moreResult boolean

Boolean indicating if there are more results in subsequent pages

nextPageToken string

Paging token given if the result set exceeded the allowed batch size

requestId string required

Id of the request made

result array of LeadFieldStatus required

Array of results for individual records in the operation, may be empty

Model LeadFieldStatus

name string required

API name of the field

status string required

Status of the operation performed on the record

Values created updated

success boolean required

Whether the request succeeded

warnings array of Warning required

Array of warnings given for the operation

Model Warning

code integer (int32) required

Integer code of the warning

message string required

Message describing the warning

Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "name": "Example name",
      "status": "created"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Generated from swagger-mapi.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results